&apt-docinfo;

apt-config 8

# apt-config Programa para la consulta de configuración de APT

          apt-config
          -hv
          -o=<replaceable/cadena de configuración/</>
          -c=<replaceable/fichero/</>

             shell
             dump

## Descripción

<command/apt-config/ es un programa interno usado por varios programas del conjunto de herramientas APT para proporcionar una configurabilidad coherente.Este accede al archivo principal de configuración <filename>/etc/apt/apt.conf de forma que sea fácil de usar por scripts.

A menos que se incluya la opción <option/-h/ o <option/--help/, una de de los siguientes órdenes debe estar presente. </para>

shell

  shell se usa para acceder a la información de configuración de un fichero de órdenes (shell script). Este proporciona 2 argumentos, el primero es una variable del intérprete de órdenes, y el segundo el valor de configuración para la petición. Como salida muestra una serie de listas de órdenes asignados al intérprete de órdenes por cada valor presente. En un fichero de órdenes, este debería usarse como:

      OPTS="-f"
      RES=`apt-config shell OPTS MyApp::Options`
      eval $RES

  Esto debería fijar la variable de entorno del intérprete de órdenes $OPTS al valor deMyApp::Opciones, con un valor por omisión de <option/-f/.

  <para> El elemento de configuración podría ser corregido después con /[fdbi]. f devuelve nombres de ficheros, d devuelve los directorios, b devuelve verdadero o falso e i devuelve un número entero. Cada uno de los valores devueltos es normalizado y verificado internamente.

dump

  Sólo muestra el contenido del espacio de configuración.

## Opciones &apt-cmdblurb;

&apt-commonoptions;

## Vea además

&apt-conf;

## Diagnósticos

<command/apt-config/ devuelve el valor cero en una operación normal, 100 si ocurre un error. </RefSect1>

&manbugs; &manauthor;

### TRADUCTOR

Traducción de Carlos Mestre <debian-l10n-spanish@lists.debian.org>